LibreOffice: XPolyPolygon2D Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XPolyPolygon2D Interface Reference

Generic interface for poly-polygons in 2D. More...

`import"XPolyPolygon2D.idl";`

Inheritance diagram for XPolyPolygon2D:

## Public Member Functions
void | addPolyPolygon ([in] ::com::sun::star::geometry::RealPoint2D position, [in] XPolyPolygon2D polyPolygon) raises (com::sun::star::lang::IllegalArgumentException)
| Add the specified poly-polygon at the given position. More...
long | getNumberOfPolygons ()
| Query number of polygons inside this poly-polygon. More...
long | getNumberOfPolygonPoints ([in] long polygon) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Query number of points inside given polygon. More...
FillRule | getFillRule ()
| Query the rule used to determine inside and outside of the poly-polygon. More...
void | setFillRule ([in] FillRule fillRule)
| Set the rule used to determine inside and outside of the poly-polygon. More...
boolean | isClosed ([in] long index) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Query whether the specified polygon outline is closed. More...
void | setClosed ([in] long index, [in] boolean closedState) raises (com::sun::star::lang::IndexOutOfBoundsException)
| Set the close state of the specified polygon outline. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Generic interface for poly-polygons in 2D.

Since
  OOo 2.0

## Member Function Documentation

## ◆ addPolyPolygon()

void addPolyPolygon | ( | [in] ::com::sun::star::geometry::RealPoint2D | position,
|  | [in] XPolyPolygon2D | polyPolygon
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Add the specified poly-polygon at the given position.

One can do symbolic path construction with this method. The poly-polygons added by this method are not joined in the sense that they participate in mutual fill rule calculations like the polygons inside a single poly-polygon do. When rendering such a poly-polygon without transparency, it will look like the constituting poly-polygons rendered separately on top of another. Alas, when rendering with transparency, separate rendering will combine the alpha of overlapping areas, whereas addPolyPolygon results in constant alpha, regardless how many internal poly-polygons overlap at a single place.

Parameters

  position | The poly-polygon will be added at the given position, i.e. the upper, left edge of the referenced poly-polygon will be at this position relative to the target poly-polygon.
  polyPolygon | The poly-polygon to add. Note that the content of this poly-polygon is copied, later changes to polyPolygon will have no effect on the poly-polygon it was added to.

Exceptions

  a | com::sun::star::lang::IllegalArgumentException, if the XPolyPolygon2D parameter does not support one of the data-providing derivative interfaces (XBezierPolyPolygon2D, XLinePolyPolygon2D).

## ◆ getFillRule()

FillRule getFillRule | ( |  | ) |

Query the rule used to determine inside and outside of the poly-polygon.

## ◆ getNumberOfPolygonPoints()

long getNumberOfPolygonPoints | ( | [in] long | polygon | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Query number of points inside given polygon.

Parameters

  polygon | The index of the polygon to query the number of points for. Must be in the range [0,getNumberOfPolygons()-1].

## ◆ getNumberOfPolygons()

long getNumberOfPolygons | ( |  | ) |

Query number of polygons inside this poly-polygon.

## ◆ isClosed()

boolean isClosed | ( | [in] long | index | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Query whether the specified polygon outline is closed.

## ◆ setClosed()

void setClosed | ( | [in] long | index,
|  | [in] boolean | closedState
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

Set the close state of the specified polygon outline.

Use -1 as the index to affect all polygons of this poly-polygon.

## ◆ setFillRule()

void setFillRule | ( | [in] FillRule | fillRule | ) |

Set the rule used to determine inside and outside of the poly-polygon.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XPolyPolygon2D.idl